﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:for-each select="/document">
      <Deklaracja xsi:schemaLocation="http://crd.gov.pl/wzor/2021/01/12/10293/ http://crd.gov.pl/wzor/2021/01/12/10293/schemat.xsd" 
                  xmlns="http://crd.gov.pl/wzor/2021/01/12/10293/" 
                  xmlns:etd="http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2020/03/11/eD/DefinicjeTypy/" 
                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
				<Naglowek>
          <KodFormularza kodSystemowy="VAT-UE (5)" wersjaSchemy="2-0E">VAT-UE</KodFormularza>
          <WariantFormularza>5</WariantFormularza>
					<Rok><xsl:value-of select="P_6"/></Rok>
					<xsl:if test="P_4"><Miesiac><xsl:value-of select="P_4"/></Miesiac></xsl:if>
					<CelZlozenia>1</CelZlozenia>
					<KodUrzedu><xsl:value-of select="P_7"/></KodUrzedu>
				</Naglowek>
				<Podmiot1 rola="Podatnik">
          <xsl:choose>
						<xsl:when test="P_8 = 1">
							<etd:OsobaNiefizyczna>
								<etd:NIP><xsl:value-of select="P_1"/></etd:NIP>
								<etd:PelnaNazwa><xsl:value-of select="P_9a"/></etd:PelnaNazwa>
								<xsl:if test="P_9d"><etd:REGON><xsl:value-of select="P_9d"/></etd:REGON></xsl:if>
							</etd:OsobaNiefizyczna>
						</xsl:when>
						<xsl:when test="P_8 = 2">
							<etd:OsobaFizyczna>
                <etd:NIP><xsl:value-of select="P_1"/></etd:NIP>
                <etd:ImiePierwsze><xsl:value-of select="P_9b"/></etd:ImiePierwsze>
                <etd:Nazwisko><xsl:value-of select="P_9a"/></etd:Nazwisko>
                <etd:DataUrodzenia><xsl:value-of select="P_9c"/></etd:DataUrodzenia>
							</etd:OsobaFizyczna>
						</xsl:when>
					</xsl:choose>
				</Podmiot1>
				<PozycjeSzczegolowe>
					<xsl:for-each select="Grupa1">
						<Grupa1>
							<P_Da><xsl:value-of select="P_100"/></P_Da>
							<P_Db><xsl:value-of select="P_101"/></P_Db>
							<P_Dc><xsl:value-of select="P_102"/></P_Dc>
							<P_Dd><xsl:value-of select="P_103"/></P_Dd>
						</Grupa1>
					</xsl:for-each>
					<xsl:for-each select="Grupa2">
						<Grupa2>
							<P_Na><xsl:value-of select="P_100"/></P_Na>
							<P_Nb><xsl:value-of select="P_101"/></P_Nb>
							<P_Nc><xsl:value-of select="P_102"/></P_Nc>
							<P_Nd><xsl:value-of select="P_103"/></P_Nd>
						</Grupa2>
					</xsl:for-each>
					<xsl:for-each select="Grupa3">
						<Grupa3>
							<P_Ua><xsl:value-of select="P_100"/></P_Ua>
							<P_Ub><xsl:value-of select="P_101"/></P_Ub>
							<P_Uc><xsl:value-of select="P_102"/></P_Uc>
						</Grupa3>
					</xsl:for-each>
				</PozycjeSzczegolowe>
				<Pouczenie>1</Pouczenie>
			</Deklaracja>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
