﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output encoding="UTF-8" indent="yes"/>
  <xsl:template match="/">
    <xsl:for-each select="/document">
      <Deklaracja xsi:schemaLocation="http://crd.gov.pl/wzor/2020/07/03/9689/ http://crd.gov.pl/wzor/2020/07/03/9689/schemat.xsd" xmlns="http://crd.gov.pl/wzor/2020/07/03/9689/" xmlns:etd="http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2020/03/11/eD/DefinicjeTypy/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	      <Naglowek>
    	    <KodFormularza kodSystemowy="VATUEK (5)" wersjaSchemy="1-0E">VAT-UEK</KodFormularza>
		      <WariantFormularza>5</WariantFormularza>
		      <Rok><xsl:value-of select="P_6"/></Rok>
		      <xsl:if test="P_4"><Miesiac><xsl:value-of select="P_4"/></Miesiac></xsl:if>
          <CelZlozenia>1</CelZlozenia>
		      <KodUrzedu><xsl:value-of select="P_8"/></KodUrzedu>
	      </Naglowek>
	      <Podmiot1 rola="Podatnik">
		      <xsl:choose>
		        <xsl:when test="P_9 = 1">
			        <etd:OsobaNiefizyczna>
				        <etd:NIP><xsl:value-of select="P_1"/></etd:NIP>
				        <etd:PelnaNazwa><xsl:value-of select="P_10a"/></etd:PelnaNazwa>
				        <xsl:if test="P_10d"><etd:REGON><xsl:value-of select="P_10d"/></etd:REGON></xsl:if>
			        </etd:OsobaNiefizyczna>
		        </xsl:when>
		        <xsl:when test="P_9= 2">
			        <etd:OsobaFizyczna>
				        <etd:NIP><xsl:value-of select="P_1"/></etd:NIP>
				        <etd:ImiePierwsze><xsl:value-of select="P_10b"/></etd:ImiePierwsze>
				        <etd:Nazwisko><xsl:value-of select="P_10a"/></etd:Nazwisko>
				        <etd:DataUrodzenia><xsl:value-of select="P_10c"/></etd:DataUrodzenia>
			        </etd:OsobaFizyczna>
			      </xsl:when>
			    </xsl:choose>
	      </Podmiot1>
		    <PozycjeSzczegolowe>
			    <xsl:for-each select="Grupa1">
				    <Grupa1>
					    <xsl:if test="P_100"><P_DBa><xsl:value-of select="P_100"/></P_DBa></xsl:if>
					    <xsl:if test="P_101"><P_DBb><xsl:value-of select="P_101"/></P_DBb></xsl:if>
					    <xsl:if test="P_102"><P_DBc><xsl:value-of select="P_102"/></P_DBc></xsl:if>
					    <xsl:if test="P_103"><P_DBd><xsl:value-of select="P_103"/></P_DBd></xsl:if>
					    <xsl:if test="P_104"><P_DJa><xsl:value-of select="P_104"/></P_DJa></xsl:if>
					    <xsl:if test="P_105"><P_DJb><xsl:value-of select="P_105"/></P_DJb></xsl:if>
					    <xsl:if test="P_106"><P_DJc><xsl:value-of select="P_106"/></P_DJc></xsl:if>
					    <xsl:if test="P_107"><P_DJd><xsl:value-of select="P_107"/></P_DJd></xsl:if>
				    </Grupa1>
			    </xsl:for-each>
			    <xsl:for-each select="Grupa2">
				    <Grupa2>
					    <xsl:if test="P_100"><P_NBa><xsl:value-of select="P_100"/></P_NBa></xsl:if>
					    <xsl:if test="P_101"><P_NBb><xsl:value-of select="P_101"/></P_NBb></xsl:if>
					    <xsl:if test="P_102"><P_NBc><xsl:value-of select="P_102"/></P_NBc></xsl:if>
					    <xsl:if test="P_103"><P_NBd><xsl:value-of select="P_103"/></P_NBd></xsl:if>
					    <xsl:if test="P_104"><P_NJa><xsl:value-of select="P_104"/></P_NJa></xsl:if>
					    <xsl:if test="P_105"><P_NJb><xsl:value-of select="P_105"/></P_NJb></xsl:if>
					    <xsl:if test="P_106"><P_NJc><xsl:value-of select="P_106"/></P_NJc></xsl:if>
					    <xsl:if test="P_107"><P_NJd><xsl:value-of select="P_107"/></P_NJd></xsl:if>
				    </Grupa2>
			    </xsl:for-each>
			    <xsl:for-each select="Grupa3">
				    <Grupa3>
					    <xsl:if test="P_100"><P_UBa><xsl:value-of select="P_100"/></P_UBa></xsl:if>
					    <xsl:if test="P_101"><P_UBb><xsl:value-of select="P_101"/></P_UBb></xsl:if>
					    <xsl:if test="P_102"><P_UBc><xsl:value-of select="P_102"/></P_UBc></xsl:if>
					    <xsl:if test="P_104"><P_UJa><xsl:value-of select="P_104"/></P_UJa></xsl:if>
					    <xsl:if test="P_105"><P_UJb><xsl:value-of select="P_105"/></P_UJb></xsl:if>
					    <xsl:if test="P_106"><P_UJc><xsl:value-of select="P_106"/></P_UJc></xsl:if>
				    </Grupa3>
			    </xsl:for-each>
				<xsl:for-each select="Grupa4">
				    <Grupa3>
					    <xsl:if test="P_100"><P_UBa><xsl:value-of select="P_100"/></P_UBa></xsl:if>
					    <xsl:if test="P_101"><P_UBb><xsl:value-of select="P_101"/></P_UBb></xsl:if>
					    <xsl:if test="P_102"><P_UBc><xsl:value-of select="P_102"/></P_UBc></xsl:if>
					    <xsl:if test="P_104"><P_UJa><xsl:value-of select="P_104"/></P_UJa></xsl:if>
					    <xsl:if test="P_105"><P_UJb><xsl:value-of select="P_105"/></P_UJb></xsl:if>
					    <xsl:if test="P_106"><P_UJc><xsl:value-of select="P_106"/></P_UJc></xsl:if>
						<xsl:if test="P_107"><P_UJc><xsl:value-of select="P_106"/></P_UJc></xsl:if>
						<xsl:if test="P_108"><P_UJc><xsl:value-of select="P_106"/></P_UJc></xsl:if>
				    </Grupa3>
			    </xsl:for-each>
		    </PozycjeSzczegolowe>
	      <Pouczenie>1</Pouczenie>
      </Deklaracja>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>